View Issue Details

IDProjectCategoryView StatusLast Update
0012423LazarusIDEpublic2013-09-03 12:07
ReporterDmitry Arefiev Assigned ToPaul Ishenin  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Fixed in Version0.9.27 (SVN) 
Summary0012423: F3 / Ctrl+F3 always change editor current line
DescriptionF3, Ctrl+F3 make a line with found substring the central by vertical line
in an editor. So, if I need to find few occurencies, all of them are inside
one screen, then editor will scroll on every F3. Better will be, if editor
will scroll only if new found occurence is out of current screen, like in
Delphi IDE.
TagsNo tags attached.
Fixed in Revision17795
LazTarget1.4
Widgetset
Attached Files

Activities

Paul Ishenin

2008-12-11 11:02

manager   ~0023763

It behaves much better now. Please test and close if ok.

Issue History

Date Modified Username Field Change
2008-10-18 07:12 Dmitry Arefiev New Issue
2008-10-18 10:17 Florian Project FPC => Lazarus
2008-10-18 10:56 Vincent Snijders LazTarget => post 1.2
2008-10-18 10:56 Vincent Snijders Severity minor => tweak
2008-10-18 10:57 Vincent Snijders Status new => acknowledged
2008-12-11 11:02 Paul Ishenin Fixed in Revision => 17795
2008-12-11 11:02 Paul Ishenin Status acknowledged => resolved
2008-12-11 11:02 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2008-12-11 11:02 Paul Ishenin Resolution open => fixed
2008-12-11 11:02 Paul Ishenin Assigned To => Paul Ishenin
2008-12-11 11:02 Paul Ishenin Note Added: 0023763
2009-06-13 12:08 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4